# ``twisted`.`internet`.`ssl`.`OpenSSLDefaultPaths``

class documentation

`class OpenSSLDefaultPaths: (source)`

Implements interfaces: `twisted.internet._sslverify.IOpenSSLTrustRoot`

View In Hierarchy

Trust the set of default verify paths that OpenSSL was built with, as specified by SSL_CTX_set_default_verify_paths.

Method | `_addCACertsToContext` | Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

def _addCACertsToContext(self, context): (source)
from `twisted.internet._sslverify.IOpenSSLTrustRoot`
Add certificate-authority certificates to an SSL context whose connections should trust those authorities.

Parameters
context:`OpenSSL.SSL.Context` | An SSL context for a connection which should be verified by some certificate authority.
Returns
`None`